<?php
/**
/**
 * The template for displaying Tag pages
 *
 * Used to display archive-type pages for posts in a tag.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Stone
 * @since Stone 1.0
 */

get_header(); 
?>

<main id="main" class="site-main" role="main">
	<?php
	if ( have_posts() ) :
		?>
		<header class="archive-header">
			<h1 class="archive-title">
				<?php printf( '<span class="title-meta">' . __( 'Tag Archives:', 'stone' ) . '</span> %s', single_tag_title( '', false ) );  ?>
			</h1>

			<?php
			// Show an optional term description.
			$term_description = term_description();
			if ( ! empty( $term_description ) ) :

				printf( '<div class="taxonomy-description">%s</div>', $term_description );

			endif;
			?>
		</header><!-- .archive-header -->
		<?php
		
		// Start the Loop.
		while ( have_posts() ) : the_post();

			/*
			 * Include the post format-specific template for the content. If you want to
			 * use this in a child theme, then include a file called called content-___.php
			 * (where ___ is the post format) and that will be used instead.
			 */
			get_template_part( 'template-parts/content', get_post_format() );
		
		endwhile;
		
		// Previous/next post navigation.
		stone_paging_nav();

	else :
	
		// If no content, include the "No posts found" template.
		get_template_part( 'template-parts/content', 'none' );
		
	endif;
	?>
</main><!-- #main -->

<?php
get_sidebar();
get_footer();
?>